Bug 108565 - Cannot print Japanese document with default font
Cannot print Japanese document with default font
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 02:42 EST by Nakai
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 00:06:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Japanese document (7.72 KB, application/vnd.sun.xml.impress)
2003-10-30 02:45 EST, Nakai
no flags Details

  None (edit)
Description Nakai 2003-10-30 02:42:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.2.1) Gecko/20030225

Description of problem:
With default font setting, I can input Japanese text
into Impress, and can see it on display, but PostScript
printer ignores all Japanese text and print out only
English alphabets.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-2

How reproducible:
Always

Steps to Reproduce:
1. Run Impress
2. Make Japanese doc on it
3. Print
4. Output is white paper...
    

Actual Results:  Ignores Japanese text when print

Expected Results:  Japanese text with default font
and works better than Microsoft PowerPoint

Additional info:

Users alway should get as same printer result as it is displayed.
Comment 1 Nakai 2003-10-30 02:45:56 EST
Created attachment 95600 [details]
The Japanese document
Comment 2 Dan Williams 2003-10-31 11:47:21 EST
Could you please try this with 1.1.0-4 from Rawhide?  It contains a
number of fixes for all languages.  Thanks!
Comment 3 Dan Williams 2003-11-03 09:13:27 EST
The font that the Japanese text is written is is listed as "Gothic"
which doesn't print.  If the font is changed to Kochi Gothic, it
prints just fine.  1.1.0-2 had problems with the default font, which
should be fixed in later versions to default to Kochi Gothic.  So if
you could try to create a new slide-show and verify that the default
font is "Kochi Gothic" and not just "Gothic", that would be great. 
Thanks!
Comment 4 Dan Williams 2004-02-10 15:36:32 EST
Could you please test with updated versions of OOo, something later
than or including OOo 1.1.0-6?
Comment 5 Caolan McNamara 2004-11-05 14:36:15 EST
caolanm->ynakai: poke. How about nowadays when you create a
presentation from scratch ? All ok ?
Comment 6 Nakai 2004-11-08 00:06:27 EST
Hm, it works well on FC3T3. Thanks for your work.

Note You need to log in before you can comment on or make changes to this bug.